dofile( "data/scripts/lib/utilities.lua" )

function collision_trigger()
	local entity_id    = GetUpdatedEntityID()
	local pos_x, pos_y = EntityGetTransform( entity_id )

	-- this reset the biome stats - see workshop_trigger_check_stats.lua
	StatsBiomeReset()
	
	-- Destroy workshop entities
	
	local workshop_1 = EntityGetClosestWithTag( pos_x, pos_y, "workshop" )
	EntityKill( workshop_1 );
	--print("Destroyed workshop entity 2")
	
	local workshop_2 = EntityGetClosestWithTag( pos_x, pos_y, "workshop" )
	EntityKill( workshop_2 );
	--print("Destroyed workshop entity 2")
	
	local workshop_2b = EntityGetClosestWithTag( pos_x, pos_y, "workshop" )
	EntityKill( workshop_2b );
	--print("Destroyed workshop entity 2b")

	local workshop_3 = EntityGetClosestWithTag( pos_x, pos_y, "workshop_show_hint" )
	EntityKill( workshop_3 );
	--print("Destroyed workshop hint entity")

	GameTriggerMusicFadeOutAndDequeueAll( 2.0 )
	
	EntityKill( entity_id )
end